E_LTB_RUNNER(1)

NAME
e_ltb_runner - manual page for e_ltb_runner 3.2.5 Puttabong Moondrop

SYNOPSIS
e_ltb_runner [options] [Batchfile] [PATH_TO_EPROVER]

DESCRIPTION
e_ltb_runner 3.2.5 "Puttabong Moondrop"

Read a CASC LTB batch specification file and process it.

OPTIONS

-h

--help

    Print a short description of program usage and options.

-V

--version

    Print the version number of the prover. Please include this with all bug reports (if any).

-v

--verbose[=<arg>]

    Verbose comments on the progress of the program. This differs from the output level (below) in that technical information is printed to stderr, while the output level determines which logical manipulations of the clauses are printed to stdout. The short form or the long form without the optional argument is equivalent to --verbose=1.

-o <arg>

--output-file=<arg>

    Redirect output into the named file.

-d <arg>

--output-dir=<arg>

    Directory for individual problem output files. Default is the current working directory.

--variants27

    Handle different variants for each problem base name as required for CASC-27. This is very specific hack.

--variants28

    Handle different variants for each problem base name as required for CASC-28 (without higher-order support). This is very specific hack.

--variants28-ho

    Handle different variants for each problem base name as required for CASC-28, including the TH0-variant. This is very specific hack. Note that this requires eprover-ho for the third variant.

--variants28-25

    Handle different variants for each problem base name as required for CASC-28, but run E-2.5 (prerelease) as the base prover. This is a really very specific hack, to enable E 2.5 as the CASC-J10 LTB winner to compete in CASC-28. It requires manual installation of the eprover-2.5 binary in the StarExec package.

--variantsj11

    Handle different variants for each problem base name as required for CASC-J11. See above.

-i

--interactive

    For each batch file, enter interactive mode after processing batch the batch problems. Interactive mode allows the processing of additional jobs with respect to the loaded axioms set. Jobs are entered via stdin and print to stdout.

-s

--silent

    Equivalent to --output-level=0.

-l <arg>

--output-level=<arg>

    Select an output level, greater values imply more verbose output. Level 0 produces nearly no output, level 1 will output each clause as it is processed, level 2 will output generating inferences, level 3 will give a full protocol including rewrite steps and level 4 will include some internal clause renamings. Levels >= 2 also imply PCL2 or TSTP formats (which can be post-processed with suitable tools).

-w <arg>

--wtc-limit=<arg>

    Set the global wall-clock limit for each batch (if any).

REPORTING BUGS

Report bugs to <schulz@eprover.org>. Please include the following, if possible:

* The version of the package as reported by eprover --version.

* The operating system and version.

* The exact command line that leads to the unexpected behaviour.

* A description of what you expected and what actually happened.

* If possible all input files necessary to reproduce the bug.

COPYRIGHT
Copyright 1998-2024 by Stephan Schulz, schulz@eprover.org, and the E contributors (see DOC/CONTRIBUTORS).

This program is a part of the distribution of the equational theorem prover E. You can find the latest version of the E distribution as well as additional information at http://www.eprover.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (it should be contained in the top level directory of the distribution in the file COPYING); if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

We welcome bug reports and even reasonable questions. If the prover behaves in an unexpected way, please include the following information:

- What did you observe? - What did you expect? - The output of `eprover --version` - The full commandline that lead to the unexpected behaviour - The input file(s) that lead to the unexpected behaviour

Most bug reports should be send to <schulz@eprover.org>. Bug reports with respect to the HO-version should be send to or at least copied to <jasmin.blanchette@gmail.com>. Please remember that this is an unpaid volunteer service.

The original copyright holder can be contacted via email or as

Stephan Schulz DHBW Stuttgart Fakultaet Technik Informatik Lerchenstrasse 1 70174 Stuttgart Germany